Ruby: pm_post_execution_node Struct Reference

Ruby 3.4.4p34 (2025-05-14 revision a38531fd3f617bf734ef7d6c595325f69985ea1d)

Data Fields
pm_post_execution_node Struct Reference

PostExecutionNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_statements_node * | statements
| PostExecutionNode#statements.
pm_location_t | keyword_loc
| PostExecutionNode#keyword_loc.
pm_location_t | opening_loc
| PostExecutionNode#opening_loc.
pm_location_t | closing_loc
| PostExecutionNode#closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

PostExecutionNode.

Represents the use of the `END` keyword.

    END { foo }
    ^^^^^^^^^^^

Type: PM_POST_EXECUTION_NODE

Definition at line 6546 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_post_execution_node::base

The embedded base node.

Definition at line 6548 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_post_execution_node::closing_loc

PostExecutionNode#closing_loc.

Definition at line 6569 of file ast.h.

Referenced by pm_dump_json().

## ◆ keyword_loc

pm_location_t pm_post_execution_node::keyword_loc

PostExecutionNode#keyword_loc.

Definition at line 6559 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_post_execution_node::opening_loc

PostExecutionNode#opening_loc.

Definition at line 6564 of file ast.h.

Referenced by pm_dump_json().

## ◆ statements

struct pm_statements_node* pm_post_execution_node::statements

PostExecutionNode#statements.

Definition at line 6554 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h